package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.system.ImgFileMapper;
import com.zcloud.service.bus.ImgFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：图片管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ImgFileServiceImpl implements ImgFileService {

	@Autowired
	private ImgFileMapper imgfileMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		imgfileMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		imgfileMapper.delete(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteList(PageData pd)throws Exception{
		imgfileMapper.deleteList(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		imgfileMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return imgfileMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return imgfileMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return imgfileMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		imgfileMapper.deleteAll(ArrayDATA_IDS);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByIds(PageData pd)throws Exception{
		return imgfileMapper.listAllByIds(pd);
	}

	/**查询隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	public List<String> listHiddenCheckImgs(PageData pd)throws Exception{
		return imgfileMapper.listHiddenCheckImgs(pd);
	}

	/**删除隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	public void deleteHiddenCheckImgs(PageData pd)throws Exception{
		imgfileMapper.deleteHiddenCheckImgs(pd);
	}

	/**查询隐患照片(包括隐患照片和整改照片)
	 * @param pd
	 * @throws Exception
	 */
	public List<String> listHiddenImgs(PageData pd)throws Exception{
		return imgfileMapper.listHiddenImgs(pd);
	}

	/**删除隐患照片（包括隐患照片及整改照片）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteHiddenImgs(PageData pd)throws Exception{
		imgfileMapper.deleteHiddenImgs(pd);
	}
}

